Imagick::compareImages
Imagick::__construct
Imagick
PHP Manual

# Imagick::compositeImage

Composite one image onto another

### Description

bool Imagick::compositeImage ( Imagick `$composite_object` , int `$composite` , int `$x` , int `$y` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Composite one image onto another at the specified offset.

### Parameters

`composite_object`

  Imagick object which holds the composite image

`compose`

  Composite operator. See Composite Operator Constants

`x`

  The column offset of the composited image

`y`

  The row offset of the composited image

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.